(function () {

    var codprodtabela = null;

    $(document).ready(function () {
        $("#buscaPrazoContainerFValle").on("forma-selecionada", function (event, prazo) {

            var bkpText = $("#spanPrazoSelecionadoFValle").text();
            $("#spanPrazoSelecionadoFValle").text(prazo.descricao);

            $.post('../php/alterar_prazo_fvalle.php', {
                codforma: prazo.codPrazo
            })
                .then(function (response) {
                    codprodtabela = response.codprodtabela;
                    if(response.mudouTabelaPreco) {
                        $("#btnAbreModalConfirmacaoAlteraPrecoFValle").click();
                    }
                    
                })
                .catch(function (e) {
                    $("#spanPrazoSelecionadoFValle").text(bkpText)
                    console.error(e);
                })
        })
    });


    window.selectTabelaDePrecoFValle = function(alterarItensInclusos) {

        $.post('./alterar_tabela_de_preco.php', {
          codprodtabela: codprodtabela,
          alterarItensInclusos: alterarItensInclusos? 1 : 0
        })
        .then(function() {
          window.location.reload();
        })
        .catch(function(e) {
          console.error(e);
        })
    }

})()

